Bug 1157641 (CVE-2014-7815) - CVE-2014-7815 qemu: vnc: insufficient bits_per_pixel from the client sanitization
Summary: CVE-2014-7815 qemu: vnc: insufficient bits_per_pixel from the client sanitiza...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-7815
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141027,repor...
Depends On: 1157644 1157645 1157646 1157647
Blocks: 1156529
TreeView+ depends on / blocked
 
Reported: 2014-10-27 12:13 UTC by Petr Matousek
Modified: 2019-06-08 20:15 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An uninitialized data structure use flaw was found in the way the set_pixel_format() function sanitized the value of bits_per_pixel. An attacker able to access a guest's VNC console could use this flaw to crash the guest.
Clone Of:
Environment:
Last Closed: 2015-09-18 11:58:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0349 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2015-03-05 12:27:34 UTC
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Petr Matousek 2014-10-27 12:13:15 UTC
bits_per_pixel that are less than 8 could result in accessing
non-initialized buffers later in the code due to the expectation
that bytes_per_pixel value that is used to initialize these buffers is
never zero.

An attacker having access to the guest's VNC console could use this
flaw to crash the guest.

Acknowledgements:

Red Hat would like to thank James Spadaro of Cisco for reporting this issue.

Comment 1 Petr Matousek 2014-10-27 12:15:21 UTC
Upstream patch submission:

http://lists.gnu.org/archive/html/qemu-devel/2014-10/msg03210.html

Comment 2 Petr Matousek 2014-10-27 12:16:13 UTC
Statement:

This issue did not affect the kvm package as shipped with Red Hat Enterprise
Linux 5. Future qemu-kvm updates for Red Hat Enterprise Linux 6 and 7 may address this issue.

Comment 5 Petr Matousek 2014-10-27 12:17:54 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1157647]

Comment 6 Gerd Hoffmann 2014-11-03 08:01:52 UTC
upstream commit e6908bfe8e07f2b452e78e677da1b45b1c0f6829

Comment 9 Fedora Update System 2014-11-10 06:22:17 UTC
qemu-2.1.2-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-10 06:48:02 UTC
qemu-1.6.2-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-03-05 08:12:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0349 https://rhn.redhat.com/errata/RHSA-2015-0349.html

Comment 12 errata-xmlrpc 2015-03-05 09:56:58 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7

Via RHSA-2015:0624 https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.